package com.usky.meeting.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.common.core.bean.CommonPage;
import com.usky.common.security.annotation.InnerAuth;
import com.usky.meeting.domain.MeetingInfo;
import com.usky.meeting.service.MeetingInfoService;
import com.usky.meeting.service.dto.DmMeetingDto;
import com.usky.meeting.service.vo.MeetingInfoRequestVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 会议表(预约成功) 前端控制器
 * </p>
 *
 * @author zyj
 * @since 2024-03-08
 */
@RestController
@RequestMapping("/meetingInfo")
public class MeetingInfoController {
    @Autowired
    private MeetingInfoService meetingInfoService;

    /**
     * 新增会议
     * @param resources
     * @return
     */
    @PostMapping("add")
    public ApiResult<DmMeetingDto> add(@Validated @RequestBody DmMeetingDto resources){
        return ApiResult.success(meetingInfoService.add(resources));
    }

    /**
     * 查询会议记录
     * @param requestVO
     * @return
     */
    @PostMapping("meetingInfoList")
    public ApiResult<CommonPage<MeetingInfo>> meetingInfoList(@RequestBody MeetingInfoRequestVO requestVO){
        return ApiResult.success(meetingInfoService.meetingInfoList(requestVO));
    }

}

